package goods_brand_search

import (
	"ai_scheduler/internal/config"
	"context"
	"fmt"
	"testing"
)

// Test_Call
func Test_Call(t *testing.T) {
	// 使用示例中的查询条件
	name := "vivo"

	cfg := config.ToolConfig{
		BaseURL: "https://gateway.dev.cdlsxd.cn/goods-admin/api/v1/goods/brand/list",
	}

	client := New(cfg)
	toolResp, err := client.Call(context.Background(), name)

	if err != nil {
		t.Errorf("Call() error = %v", err)
		return
	}

	fmt.Printf("toolResp (BrandID): %v\n", toolResp)
}
